# Custom Currency

{% hint style="danger" %}
There can only be one custom currency at this point!
{% endhint %}

Example:

```yaml
    CUSTOM_CURRENCY:
      # Should the custom currency be enabled.
      enabled: true
      display_currency_name: "Custom"
      # This is used to check the balance of the user. BE SURE THIS DOES NOT FORMAT THE BALANCE
      raw_balance_placeholder: '%vault_eco_balance%'
      # These are the commands used to withdraw and deposit winnings to the user. They are ran by console.
      commands:
        withdraw: 'eco take {player} {amount}'
        deposit: 'eco give {player} {amount}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zithium.net/other-plugins/deluxecoinflip/custom-currency.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
